# ChaosTools.jl

```@docs
ChaosTools
```

!!! note "Accompanying textbook"
    A good background for understanding the methods of ChaosTools.jl is the following textbook:
    [Nonlinear Dynamics](https://link.springer.com/book/10.1007/978-3-030-91032-7),
    Datseris & Parlitz, Springer 2022.


## DynamicalSystemsBase.jl reference

As many docstrings in ChaosTools.jl point to the different `DynamicalSystem` types, they are also provided here for reference.

- [`DynamicalSystem`](@ref)
- [`DeterministicIteratedMap`](@ref)
- [`CoupledODEs`](@ref)
- [`CoreDynamicalSystem`](@ref)
- [`StroboscopicMap`](@ref)
- [`PoincareMap`](@ref)
- [`TangentDynamicalSystem`](@ref)
- [`ParallelDynamicalSystem`](@ref)
- [`ProjectedDynamicalSystem`](@ref)
- [`reinit!`](@ref)

```@docs
DynamicalSystem
DeterministicIteratedMap
CoupledODEs
CoreDynamicalSystem
StroboscopicMap
PoincareMap
TangentDynamicalSystem
ParallelDynamicalSystem
ProjectedDynamicalSystem
reinit!(::DynamicalSystem, args...; kwargs...)
```
